Subject: Re: [PATCH RESEND] powerpc/rtas_flash: Free kmem upon module exit

From: Michael Ellerman <[email-masked]>
Date: Mon, 22 Apr 2013 16:33:27 +1000

On Mon, Apr 22, 2013 at 11:18:00AM +0530, Vasant Hegde wrote:
> Michael,
> 
> On Mon 22 Apr 2013 04:57:57 AM IST, Michael Ellerman wrote:
> >On Fri, Apr 19, 2013 at 05:18:09PM +0530, Vasant Hegde wrote:
> >>Memory allocated to flash_block_list in rtas_flash_write
> >>is not freed during module exit. We hit below call trace
> >>if we unload rtas_flash module after loading new firmware
> >>image and before rebooting the system.
> >
> >Why the resend? Did anything change?
> >
> 
> Nothing is changed. I resent because it was not reviewed for long time.

It's in my test branch, which is in linux-next:

https://github.com/mpe/powerpc-test

cheers